%define module	AcePerl
%define name	perl-%{module}
%define version	1.83
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface for the ACEDB object-oriented database
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	perl-devel
Requires:	perl

%description
Designed specifically for use in genome sequencing projects, ACEDB
provides powerful modeling and management services for biological and
laboratory data.  For others, it is a good open source introduction to
the world of object-oriented databases

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
3
n
EOF
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%files
%defattr(-,root,root)
%doc README README.ACEBROWSER DISCLAIMER.txt ChangeLog docs examples
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog
* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.83-1mdk
- first mdk release
